
Foreman - Bug #25128

Template Renderer: Variables loader registry is not kept when the class is inherited

10/05/2018 08:02 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty: easy Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6112

  

Description

It seems like the variables loader registry is not kept when the class is inherited. E.g. if I have an instance of

::Foreman::Renderer::Scope::Provisioning, @kernel is set. If I make class Bootdisk < ::Foreman::Renderer::Scope::Provisioning then

@kernel is not set in an instance of Bootdisk.

Related issues:

Related to Foreman - Refactor #22529: Refactor Template rendering to use a pr... Closed

Associated revisions

Revision e50e4ffa - 10/07/2018 08:00 AM - Kamil Szubrycht 

fixes #25128 - variables loader works with inherited classes

History

#1 - 10/05/2018 08:03 AM - Timo Goebel

- Related to Refactor #22529: Refactor Template rendering to use a proper rendering service added

#2 - 10/05/2018 08:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6112 added

#3 - 10/07/2018 08:00 AM - Timo Goebel

- Fixed in Releases 1.20.0 added

#4 - 10/07/2018 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset e50e4ffae2cea3b683322414f364ccf021e54fbe.
